CH_OPEN_COMPRESSED_FILE(3)

EXPERIMENTAL_FUNC
ch_open_compressed_file - Open a file, with possible decompression.

SYNOPSIS
#include <karma_ch.h>

Channel ch_open_compressed_file

(CONST char *filename)

DESCRIPTION
This routine will open a file channel for reading, automatically decompressing data as it is needed. Alternative filenames may be opened in an attempt to file a compressed variant of the base filename.

filename
    The base pathname of the file to open.

RETURN VALUE
A channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/